Overview
POST
/persona/service-templatespersonaCreate service_templates
Create a record in service-templates.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- providerKindstring
- namestring
- baseUrlstring
- documentationUrloptionalstring?
- statusUrloptionalstring?
- connectionSpecoptionalstring | number | boolean? | object | any[]?
Example
{
"providerKind": "string",
"name": "string",
"baseUrl": "string",
"documentationUrl": "string",
"statusUrl": "string",
"connectionSpec": "string"
}Responses
201
service_templates
- idstring
- providerKindstring
- namestring
- baseUrlstring
- documentationUrlstring?
- statusUrlstring?
- connectionSpecstring | number | boolean? | object | any[]?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"providerKind": "string",
"name": "string",
"baseUrl": "string",
"documentationUrl": "string",
"statusUrl": "string",
"connectionSpec": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/persona/service-templates" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"providerKind": "string",
"name": "string",
"baseUrl": "string",
"documentationUrl": "string",
"statusUrl": "string",
"connectionSpec": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/service-templates", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"providerKind\": \"string\",\n \"name\": \"string\",\n \"baseUrl\": \"string\",\n \"documentationUrl\": \"string\",\n \"statusUrl\": \"string\",\n \"connectionSpec\": \"string\"\n}",
});
const data = await res.json();